Package Details: kst-git 2.0.8-1

Git Clone URL: https://aur.archlinux.org/kst-git.git (read-only, click to copy)
Package Base: kst-git
Description: Fast real-time large-dataset viewing and plotting tool for KDE
Upstream URL: http://kst-plot.kde.org
Licenses: GPL
Conflicts: kst
Submitter: Malkut
Maintainer: Malkut
Last Packager: Malkut
Votes: 4
Popularity: 0.000000
First Submitted: 2015-07-25 23:06
Last Updated: 2021-03-10 15:18

Latest Comments

1 2 3 Next › Last »

f0rdprefect commented on 2021-03-11 05:53

Good work @malkut. I do not remember this building so fast ;) Did you try to reach out to Barth Netterfield? Way back when I was still using MacOS he was quite responsive when KST would not work properly... But you are right the project looks a bit abandoned. Which is a shame.

Malkut commented on 2021-03-10 21:14

@f0rdprefect I updated the PKGBUILD adding a flag to use the old HDF5 API i am not sure how long this will be supported. It doesn't look like the KST dev team will be updating the code anytime soon

f0rdprefect commented on 2021-03-02 06:31

still not able to get this compiled on arch out of the box (I switched from manjaro)

f0rdprefect commented on 2020-12-04 06:15

the shiboken issue is fixed, however the hdf problem is also present in manjaro...

diggit commented on 2020-11-25 10:23

hdf5 and hdf5-git packages provide version 1.12.0 which does not match rule hdf5<1.12.0. Is there any workaround other than adjusting hdf5-git PKGBUILD to build older version?

Malkut commented on 2020-11-24 16:15

This is a shiboken build issue (bindings for pyside) I updated the build to use python-pyside2 so you wouldn't depend on building shiboken.

It works on my machine, let me know if it does on yours

f0rdprefect commented on 2020-11-23 15:03

does not build on manjaro right now:

Running generator for 'shiboken'...
Unable to load library icui18n "Cannot load library icui18n: (icui18n: cannot open shared object file: No such file or directory)"
Detecting inconsistencies in typesystem...   [OK]

make[2]: *** [shibokenmodule/CMakeFiles/shibokenmodule.dir/build.make:81: shibokenmodule/shiboken/shiboken_module_wrapper.cpp] Segmentation fault (core dumped)
make[1]: *** [CMakeFiles/Makefile2:382: shibokenmodule/CMakeFiles/shibokenmodule.dir/all] Error 2
make: *** [Makefile:149: all] Error 2
==> ERROR: A failure occurred in build().
    Aborting...
error making: shiboken (shiboken python2-shiboken python-shiboken)

shiboken is a dependency for hdf if I read this all correctly...

Malkut commented on 2020-11-05 17:28

@net147, I am sorry I missed your comment. I have updated the PKGBUILD to enforce HDF5 to be below 1.12. I couldn't find a clear explanation on why the API has changed, if i found one i will updated the PKGBUILD

net147 commented on 2020-06-19 05:28

Fails to build with hdf5 1.12.0-2.

Malkut commented on 2019-07-01 14:13

@net147 I updated the PKGBUILD file and we are following the KDE git now Also I had some issues with building on my system because the HDF5 includes are installed in /usr/include I added a patch to fix that let me know if this work with you.